Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPPolyLine

    java.lang.Object
      org.deegree.io.shpapi.SHPGeometry
          org.deegree.io.shpapi.SHPPolyLine

Direct Known Subclasses:
  SHPPolyLine3D

    public class SHPPolyLine

extends SHPGeometry

Class representig a two dimensional ESRI PolyLine

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`int` | `numParts`
`int` | `numPoints`
`SHPPoint[][]` | `points`

Fields inherited from class org.deegree.io.shpapi.SHPGeometry
`envelope, recBuffer`

Constructor Summary
`SHPPolyLine(byte[] recBuf)` constructor: gets a stream
`SHPPolyLine(Curve[] curve)` constructor: recieves a matrix of Points

Method Summary
`int` | `size()` returns the polyline shape size in bytes
`void` | `writeSHPPolyLine(byte[] bytearray, int start)`

Methods inherited from class org.deegree.io.shpapi.SHPGeometry
`getEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numParts

    public int numParts

### numPoints

    public int numPoints

### points

    public SHPPoint[][] points

Constructor Detail

### SHPPolyLine

    public SHPPolyLine(byte[] recBuf)

  constructor: gets a stream

  Parameters:
    `recBuf` -

### SHPPolyLine

    public SHPPolyLine(Curve[] curve)

  constructor: recieves a matrix of Points

  Parameters:
    `curve` -

Method Detail

### writeSHPPolyLine

    public void writeSHPPolyLine(byte[] bytearray,
                                 int start)

  Parameters:
    `bytearray` -
    `start` -

### size

    public int size()

  returns the polyline shape size in bytes

  Returns:
    the polyline shape size in bytes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org